<html>
	<head>
		<meta charset="utf-8"/>
		<title>AP - maps</title>
		<link href="/static/css/style.css" rel="stylesheet">

		<meta charset="utf-8">
	</head>


	<body>
			
		{% include "header.html" %}
		
		<div id="mapdiv" > </div>


			<script src="http://www.openlayers.org/api/OpenLayers.js"></script>

			<script>
map = new OpenLayers.Map("mapdiv");
map.addLayer(new OpenLayers.Layer.OSM());




var pois = new OpenLayers.Layer.Text( "My Points",
		{ location:"/static/gpsdata.txt",
			projection: map.displayProjection
		});
map.addLayer(pois);



// create layer switcher widget in top right corner of map.



//   var layer_switcher= new OpenLayers.Control.LayerSwitcher({});
//   map.addControl(layer_switcher);

//Set start centrepoint and zoom    
var lonLat = new OpenLayers.LonLat( 12.5788, 30.9773 )
	.transform(
			new OpenLayers.Projection("EPSG:4326"), // transform from WGS 1984
			map.getProjectionObject() // to Spherical Mercator Projection
		  );
	var zoom=5;
	map.setCenter (lonLat, zoom);  

	map.addControl(
			new OpenLayers.Control.MousePosition({
				prefix: '<div style="z-index: 100000; position: absolute; top: 300px; left: 300px;"><a target="_blank" ' +
					'href="http://spatialreference.org/ref/epsg/4326/">' +
					'EPSG:4326</a></div> Coordonnées: ',
					separator: ' | ',
					numDigits: 2,
					emptyString: 'Mouse is not over map.'


			})

		      );


	var ol_wms = new OpenLayers.Layer.WMS( "OpenLayers WMS",
			"http://vmap0.tiles.osgeo.org/wms/vmap0",
			{layers: 'basic'} );

	map.addLayers([ol_wms]);
	if (!map.getCenter()) {
		map.zoomToMaxExtent();
	}

map.events.register("mousemove", map, function(e) {
	var position = this.events.getMousePosition(e);
	OpenLayers.Util.getElement("coords").innerHTML = position;
});



			</script>

	</body>
</html>
